List Patients
GET
/api/patients
const url = 'https://example.com/api/patients?q=';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/patients?q='Parameters
Sekce “Parameters”Query Parameters
Sekce “Query Parameters”q
Q
string
Responses
Sekce “Responses”200
Sekce “200”Successful Response
Media typeapplication/json
Response List Patients Api Patients Get
Array<object>
Patientobject
Example
[ { "sex": "male" }]422
Sekce “422”Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}